Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jce.crypto
Class KeyAgreementSpi

    java.lang.Object
      com.mindbright.jce.crypto.KeyAgreementSpi

Direct Known Subclasses:
  DHKeyAgreement

public abstract class KeyAgreementSpi
extends java.lang.Object

Constructor Summary
`KeyAgreementSpi()`

Method Summary
`protected abstract Key` | `engineDoPhase(Key key, boolean lastPhase)`
`protected abstract byte[]` | `engineGenerateSecret()`
`protected abstract int` | `engineGenerateSecret(byte[] sharedSecret, int offset)`
`protected abstract SecretKey` | `engineGenerateSecret(java.lang.String algorithm)`
`protected abstract void` | `engineInit(Key key, AlgorithmParameterSpec params, SecureRandom random)`
`protected abstract void` | `engineInit(Key key, SecureRandom random)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyAgreementSpi

    public KeyAgreementSpi()

Method Detail

### engineInit

    protected abstract void engineInit(Key key,
                                       SecureRandom random)
                                throws InvalidKeyException

  Throws:
    `InvalidKeyException`

### engineInit

    protected abstract void engineInit(Key key,
                                       AlgorithmParameterSpec params,
                                       SecureRandom random)
                                throws InvalidKeyException,
                                       InvalidAlgorithmParameterException

  Throws:
    `InvalidKeyException`
    `InvalidAlgorithmParameterException`

### engineDoPhase

    protected abstract Key engineDoPhase(Key key,
                                         boolean lastPhase)
                                  throws InvalidKeyException,
                                         java.lang.IllegalStateException

  Throws:
    `InvalidKeyException`
    `java.lang.IllegalStateException`

### engineGenerateSecret

    protected abstract byte[] engineGenerateSecret()
                                            throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### engineGenerateSecret

    protected abstract int engineGenerateSecret(byte[] sharedSecret,
                                                int offset)
                                         throws java.lang.IllegalStateException,
                                                ShortBufferException

  Throws:
    `java.lang.IllegalStateException`
    `ShortBufferException`

### engineGenerateSecret

    protected abstract SecretKey engineGenerateSecret(java.lang.String algorithm)
                                               throws java.lang.IllegalStateException,
                                                      NoSuchAlgorithmException,
                                                      InvalidKeyException

  Throws:
    `java.lang.IllegalStateException`
    `NoSuchAlgorithmException`
    `InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD